Subject: [bug#41360] [PATCH v5] finalize java-openjfx packages

From: Ioannis <[email-masked]>
Date: Fri, 9 Sep 2022 07:15:29 +0100

Hi Julien,

Any chance you could have a look at the patches?

Thanks

From: Ioannis Kappas
Sent: 26 June 2022 08:22
To: Julien Lepiller
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [PATCH v5] finalize java-openjfx packages

Hi Julien,

On Tue, Jun 21, 2022 at 6:27 PM Julien Lepiller <[email-masked]> wrote:

> Hi Ioannis,

> Could you fix all this and send a new patch series, with one patch per

> package, so we can try applying them and checking them more closely?

please find patch v6 series as attached. Changes from last patch are

1. Each package definition is in a separate commit/patch file - as requested.

1. Output all native libs to lib/openjfx - no arch specific directory,

as requested.

2. Add native libs path to java.library.path property at static initialization,

so that the NativeLibsLoader can locate them at runtime  - This is a

better working solution than loading by absolute path, since the

latter was not working during testing if the native libs were not

installed.

3. Install native libs after 'install phase - previously the native

libs were installed unconditionally just after compilation, which is

wrong.

4. Pass CMAKE_CXX_FLAGS argument as a single string - as requested.

5. Use new style inputs for packages - as requested.

6. Remove #t at the end of phases - as requested.

Thanks